set(src "src/mouse.c")
set(inc "inc")

if(PS1_BUILD)
    set(src ${src} "ps1/src/mouse.c")
    set(privdeps ${privdeps} PSXSDK::PSXSDK)
elseif(SDL1_2_BUILD)
    set(src ${src} "sdl-1.2/src/mouse.c")
    set(privdeps ${privdeps} SDL::SDL)
elseif(ESP32_BUILD)
    set(src ${src} "esp32/src/mouse.c")
endif()

add_library(mouse ${src})
target_include_directories(mouse PUBLIC ${inc})
target_link_libraries(mouse PUBLIC ${deps} PRIVATE ${privdeps})
